# mailman3

> https://docs.mailman3.org

A mailing list management system.

<!-- metadata -->

- **Category**:
- **Status**:
- **Image**: [`maxking/mailman-*`](https://github.com/maxking/docker-mailman)
- **Healthcheck**:
- **Backups**:
- **Email**:
- **Tests**:
- **SSO**:

<!-- endmetadata -->

## Mailu integration

This configuration is intended to be used with a [Mailu](https://git.autonomic.zone/coop-cloud/mailu) instance which is setup **on the same VPS**.

This configuration assumes the following:

- you have a correctly configured Mailu instance (e.g. `mail.example.com`)
- you have a relay domain setup on your Mailu side which relays mails (e.g. `lists.example.com` and the remote host is your `mailman-core` service name (e.g. `my_stack_core`), see following setups below for more on the shared network configuration)
- you have an MX and an SPF record setup on your `lists.example.com` for incoming mail
- you have your Mailman container network configured in the `RELAYNETS` environment variable on the Mailu side for outgoing mail
- you have overlay networks configured for both your Mailu and Mailman3 stacks (see `SMTP_HOST` and `SMTP_NETWORK` in the [.env.sample](./.env.sample) on the mailman side and `MAILMAN_CORE_NETWORK` [in the mailu config](https://git.autonomic.zone/coop-cloud/mailu/src/branch/main/.env.sample) on the mailu side)
- you have a shared volume between your Mailman3 and Mailu stack which exposes the mailman generated aliases which can be fed into a postfix override on the mailu side (see `MAILMAN_CORE_VOLUME` [in the mailu config](https://git.autonomic.zone/coop-cloud/mailu/src/branch/main/.env.sample) on the mailu side)

More documentation coming after we recover from the diabolical hacking required to get this working.

## Basic usage

1. Set up Docker Swarm and [`abra`]
2. Deploy [`coop-cloud/traefik`]
3. `abra app new mailman3 --secrets` (optionally with `--pass` if you'd like
   to save secrets in `pass`)
4. `abra app YOURAPPDOMAIN config` - be sure to change `$DOMAIN` to something that resolves to
   your Docker swarm box
5. `abra app YOURAPPDOMAIN deploy`
6. Open the configured domain in your browser to finish set-up

[`abra`]: https://git.autonomic.zone/autonomic-cooperative/abra
[`coop-cloud/traefik`]: https://git.autonomic.zone/coop-cloud/traefik
